<div>
  <h2 id="page-heading" data-cy="CursoHeading">
    <span jhiTranslate="matrixApp.curso.home.title">Cursos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.curso.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-curso"
        [routerLink]="['/curso/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.curso.home.createLabel">Criar novo Curso</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="cursos?.length === 0">
    <span jhiTranslate="matrixApp.curso.home.notFound">Nenhum Curso encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="cursos && cursos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="nome">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.nome">Nome</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="cargaHorasMinCurso">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.cargaHorasMinCurso">Carga Horas Min Curso</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="cargaHorasMinEstagio">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.cargaHorasMinEstagio">Carga Horas Min Estagio</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="percMaxEstagioAC">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.percMaxEstagioAC">Perc Max Estagio AC</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="percMaxAtividadeDistancia">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.percMaxAtividadeDistancia">Perc Max Atividade Distancia</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="perfil.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.perfil">Perfil</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="modalidade.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.modalidade">Modalidade</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="escola.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.escola">Escola</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="tipoDeCurso.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.curso.tipoDeCurso">Tipo De Curso</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let curso of cursos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/curso', curso.id, 'view']">{{ curso.id }}</a>
          </td>
          <td>{{ curso.nome }}</td>
          <td>{{ curso.cargaHorasMinCurso }}</td>
          <td>{{ curso.cargaHorasMinEstagio }}</td>
          <td>{{ curso.percMaxEstagioAC }}</td>
          <td>{{ curso.percMaxAtividadeDistancia }}</td>
          <td>
            <div *ngIf="curso.perfil">
              <a [routerLink]="['/perfil', curso.perfil.id, 'view']">{{ curso.perfil.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="curso.modalidade">
              <a [routerLink]="['/modalidade', curso.modalidade.id, 'view']">{{ curso.modalidade.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="curso.escola">
              <a [routerLink]="['/escola', curso.escola.id, 'view']">{{ curso.escola.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="curso.tipoDeCurso">
              <a [routerLink]="['/tipo-de-curso', curso.tipoDeCurso.id, 'view']">{{ curso.tipoDeCurso.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/curso', curso.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button type="submit" [routerLink]="['/curso', curso.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(curso)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
